﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLAN') 
 CREATE TABLE T_SFC_DAILYPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FPROFESSIONA BIGINT DEFAULT 0 NOT NULL,
FBEGINTIME DATETIME,
FENDTIME DATETIME,
FBIZSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLANENTRY') 
 CREATE TABLE T_SFC_DAILYPLANENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FTASKNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKNO1 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPATCHSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLANALLOT') 
 CREATE TABLE T_SFC_DAILYPLANALLOT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSTUDYSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUSERINCHARGE BIGINT DEFAULT 0 NOT NULL,
FROLEID NVARCHAR(36) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLANOPR') 
 CREATE TABLE T_SFC_DAILYPLANOPR (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMROMANFTECHF7 BIGINT DEFAULT 0 NOT NULL,
FOPRSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREPARIHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRWORKHOURUNIT BIGINT DEFAULT 0 NOT NULL,
FCHECKHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOG NVARCHAR(500) DEFAULT ' ' NOT NULL,
FMROORDERF7 BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILYPLANREPORT') 
 CREATE TABLE T_SFC_DAILYPLANREPORT (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPERSON BIGINT DEFAULT 0 NOT NULL,
FREPORTBEGINTIME DATETIME,
FREPORTENDTIME DATETIME,
FWORKHOURUNITID BIGINT DEFAULT 0 NOT NULL,
FWORKHOUR DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWORKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMROMANFTECID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_MROMANUFTECH' AND KSQL_COL_NAME ='FPAGESEQ') 
 ALTER TABLE T_SFC_MROMANUFTECH ADD (FPAGESEQ NVARCHAR(50) DEFAULT ' ' NOT NULL );

 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_MROMANFTECHENTRY' AND KSQL_COL_NAME ='FOPRCUSTOMHOURS')
 ALTER TABLE T_SFC_MROMANFTECHENTRY ADD (FOPRCUSTOMHOURS DECIMAL(23,10) DEFAULT 0 NOT NULL);


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
