﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_DAILY_NOTIFICATION') 
 CREATE TABLE T_SFC_DAILY_NOTIFICATION (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKTYPE BIGINT DEFAULT 0 NOT NULL,
FTIME DATETIME,
FPROJECT BIGINT DEFAULT 0 NOT NULL,
FPROFESSION BIGINT DEFAULT 0 NOT NULL,
FMESSAGE NVARCHAR(1000) DEFAULT ' ' NOT NULL
);

 EXEC P_ALTERPK 'PK_SFC_DAILY_NOTIFICATION', 'T_SFC_DAILY_NOTIFICATION', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_DAILY_NOTIFY_FPROJECT') CREATE INDEX IDX_SFC_DAILY_NOTIFY_FPROJECT ON T_SFC_DAILY_NOTIFICATION ( FPROJECT ,FPROFESSION );
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FRESMATERIAL') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FRESMATERIAL NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
  
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FRESDEVICE') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FRESDEVICE NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
  
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FRESTOOL') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FRESTOOL NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
  
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FRESFILE') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FRESFILE NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
  
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FRESSUPPORT') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FRESSUPPORT NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
  
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_SFC_DPENTRY_OPR' AND KSQL_COL_NAME ='FRESWORKCARD') 
 ALTER TABLE T_SFC_DPENTRY_OPR ADD (FRESWORKCARD NVARCHAR(50) DEFAULT ' ' NOT NULL);
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_DPENTRY_PLAN_FTIMEID') CREATE INDEX IDX_SFC_DPENTRY_PLAN_FTIMEID ON T_SFC_DPENTRY_PLAN ( FTIMESLOTPROID );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
