﻿/**Begin D:\PDM_UPGRADE\PDM1\SFC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PTFBILLOUTENTRY') 
 CREATE TABLE T_SFC_PTFBILLOUTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAVAILABLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTRANSFERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOUTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERREDOUT BIGINT DEFAULT 0 NOT NULL,
FOUTPROCESSPLAN BIGINT DEFAULT 0 NOT NULL,
FOUTPROCESSID BIGINT DEFAULT 0 NOT NULL,
FOUTPROCESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOUTPRODUCTUNIT BIGINT DEFAULT 0 NOT NULL,
FREVERSEAVAILABLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PTFBILLINENTRY') 
 CREATE TABLE T_SFC_PTFBILLINENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FINTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERREDIN BIGINT DEFAULT 0 NOT NULL,
FOUTENTRYENTITYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINPROCESSPLAN BIGINT DEFAULT 0 NOT NULL,
FINPROCESS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINPROCESSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_PROTRANSFERBILL') 
 CREATE TABLE T_SFC_PROTRANSFERBILL (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FREMAKES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTYPE BIGINT DEFAULT 0 NOT NULL,
FSRCBILLID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSRCBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\SFC_table.sql **/
