﻿/**Begin D:\PDM_UPGRADE\PDM1\SFC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_SFC_DAILYPLANLOG', 'T_SFC_DAILYPLANLOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_DAILOG_FBILLNO') CREATE INDEX IDX_SFC_DAILOG_FBILLNO ON T_SFC_DAILYPLANLOG ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_DAILOG_CREATETIME') CREATE INDEX IDX_SFC_DAILOG_CREATETIME ON T_SFC_DAILYPLANLOG ( FCREATETIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_DAILOG_MROORDER') CREATE INDEX IDX_SFC_DAILOG_MROORDER ON T_SFC_DAILYPLANLOG ( FMROORDERNO ,FMROORDERID );


 EXEC P_ALTERPK 'PK_T_SFC_EXCEPATTACH', 'T_SFC_EXCEPATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_EXCECH_FENTRYID') CREATE INDEX IDX_SFC_EXCECH_FENTRYID ON T_SFC_EXCEPATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_SFC_FNISATTACH', 'T_SFC_FNISATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_FNISCH_FENTRYID') CREATE INDEX IDX_SFC_FNISCH_FENTRYID ON T_SFC_FNISATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_SFC_FNISHENTRY', 'T_SFC_FNISHENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_FNISRY_FID') CREATE INDEX IDX_SFC_FNISRY_FID ON T_SFC_FNISHENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_FNISRY_FSEQ') CREATE INDEX IDX_SFC_FNISRY_FSEQ ON T_SFC_FNISHENTRY ( FSEQ );


 EXEC P_ALTERPK 'PK_T_SFC_HANDATTACH', 'T_SFC_HANDATTACH', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_HANDCH_FENTRYID') CREATE INDEX IDX_SFC_HANDCH_FENTRYID ON T_SFC_HANDATTACH ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_SFC_HANDENTRY', 'T_SFC_HANDENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_HANDRY_FID') CREATE INDEX IDX_SFC_HANDRY_FID ON T_SFC_HANDENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_HANDRY_FSEQ') CREATE INDEX IDX_SFC_HANDRY_FSEQ ON T_SFC_HANDENTRY ( FSEQ );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_HANDRY_DAILYID') CREATE INDEX IDX_SFC_HANDRY_DAILYID ON T_SFC_HANDENTRY ( FDAILYPLANID );


 EXEC P_ALTERPK 'PK_T_SFC_EXCEPTENTRY', 'T_SFC_EXCEPTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_EXCERY_FID') CREATE INDEX IDX_SFC_EXCERY_FID ON T_SFC_EXCEPTENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_SFC_EXCERY_FSEQ') CREATE INDEX IDX_SFC_EXCERY_FSEQ ON T_SFC_EXCEPTENTRY ( FSEQ );



/**End D:\PDM_UPGRADE\PDM1\SFC_constraint.sql **/
