﻿/**Begin D:\PDM_UPGRADE\PDM1\POM_table.sql **/


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MANFTSCHSUBENTRY') 
 CREATE TABLE T_POM_MANFTSCHSUBENTRY (
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSCHRESOURCEID BIGINT DEFAULT 0 NOT NULL,
FSOURCERESID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSENTRYID     BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MANFTREPSUBENTRY') 
 CREATE TABLE T_POM_MANFTREPSUBENTRY (
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREPACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FREPBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALBEGINTIME DATETIME,
FREPACTUALFINISHTIME DATETIME,
FPROCESSENTRYID     BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MANFTRELATIONENTRY') 
 CREATE TABLE T_POM_MANFTRELATIONENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FRELATIONSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRELATIONPARSEQNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSFERPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTURNOUTPROCESSNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARALLELRATION NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPLANTRANSFERTIME DATETIME,
FPLANTURNOUTTIME DATETIME,
FSOURCERELID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSENTRYID     BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MANFTPROCESSENTRY') 
 CREATE TABLE T_POM_MANFTPROCESSENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FPROCESSSEQ NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSSEQTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROCESSSEQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSPLANBEGINTIME DATETIME,
FPROCESSPLANENDTIME DATETIME,
FPROCESSREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSOURCESEQID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSENTRYID     BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MANFTECHENTRY_F') 
 CREATE TABLE T_POM_MANFTECHENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FMACHININGTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPURCHASEORGID BIGINT DEFAULT 0 NOT NULL,
FLOCKQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALUNQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFLOORRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURCHASEGROUPID BIGINT DEFAULT 0 NOT NULL,
FPURCHASEPERSONID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYFIELD BIGINT DEFAULT 0 NOT NULL,
FTAXRATE BIGINT DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSETTLEMENTUNITID BIGINT DEFAULT 0 NOT NULL,
FSETTLEMENTCOEFFICIENT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALDOWNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYMATERIALID BIGINT DEFAULT 0 NOT NULL,
FPURAPPLYNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPURORDERNUMBER DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSENTRYID     BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MANFTECHENTRY_E') 
 CREATE TABLE T_POM_MANFTECHENTRY_E (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FUPPERRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FHEADUNITID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPERATIONUNITID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULINGCALENDAR BIGINT DEFAULT 0 NOT NULL,
FPUSHPURBILLQTY     DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTETAXPRICE      DECIMAL(23,10) DEFAULT 0 NOT NULL,
FWASTEPRICE         DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRIPTAXPRICE      DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCRIPPRICE         DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSENTRYID     BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MANFTECHENTRY') 
 CREATE TABLE T_POM_MANFTECHENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FOPRPARENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRORGID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FOPROPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRCTRLSTRATEGY BIGINT DEFAULT 0 NOT NULL,
FOPRSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPRSTANDARDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRUNITID BIGINT DEFAULT 0 NOT NULL,
FOPRSOURCETYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPRSOURCEENTRYID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRINVALID CHAR(1) DEFAULT '0' NOT NULL,
FOPRPLANBEGINTIME DATETIME,
FOPRPLANFINISHTIME DATETIME,
FOPREARLIESTBEGINTIME DATETIME,
FOPRLATESTBEGINTIME DATETIME,
FOPREARLIESTFINISHTIME DATETIME,
FOPRLATESTFINISHTIME DATETIME,
FOPRTOTALINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALOUTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALREPORTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALQUALIFIEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALCONCESSIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALSCRAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALWASTEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTOTALMATERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRREPAIREDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRISSPLIT CHAR(1) DEFAULT '0' NOT NULL,
FOPRSUGGESTSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRACTUALSPLITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRMINWORKTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRTIMEUNIT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPRISPROCESSOVERLAP CHAR(1) DEFAULT '0' NOT NULL,
FOPRMINOVERLAPTIME DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPROVERLAPTIMEUNIT NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPROVERLAPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOVERLAPUNITID BIGINT DEFAULT 0 NOT NULL,
FPARENTOPRID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEBATCHQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRPRODUCTIONQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROCESSENTRYID     BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MANFTACTSUBENTRY') 
 CREATE TABLE T_POM_MANFTACTSUBENTRY (
FSUBENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIZTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPROCESSSTAGE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FACTACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FACTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FACTMINFORMULAID BIGINT DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULA1ID BIGINT DEFAULT 0 NOT NULL,
FACTMINFORMULA1 BIGINT DEFAULT 0 NOT NULL,
FACTPLANTOTALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTPLANBEGINTIME DATETIME,
FACTPLANFINISHTIME DATETIME,
FSOURCEACTID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROCESSENTRYID     BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_POM_MFTORDERENTRY_M') 
 CREATE TABLE T_POM_MFTORDERENTRY_M (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREORDER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMFTENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FBOMVERSION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRODUCTIONWORKSHOPID BIGINT DEFAULT 0 NOT NULL,
FPLANSTARTTIME DATETIME,
FPLANFINISHTIME DATETIME,
FPROCESSROUTEID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULPLANID BIGINT DEFAULT 0 NOT NULL,
FPLANTYPE NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPARENTPLANID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPARENTSEQID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRANSACTIONTYPEID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\POM_table.sql **/
