﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_ADJUSTENTRY') 
 CREATE TABLE T_SFC_ADJUSTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREBILL NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMANUFACTUREBILLROW BIGINT DEFAULT 0 NOT NULL,
FMANUFACTUREENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOMPLETQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOPRUNITID BIGINT DEFAULT 0 NOT NULL,
FMANFTECHNO BIGINT DEFAULT 0 NOT NULL,
FOPRPARENT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPRNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPROPERATIONID BIGINT DEFAULT 0 NOT NULL,
FOPRWORKCENTERID BIGINT DEFAULT 0 NOT NULL,
FMANFTECHENTRY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORDERID NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_ADJUSTENTRY_L') 
 CREATE TABLE T_SFC_ADJUSTENTRY_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_RESOURCEADJUST') 
 CREATE TABLE T_SFC_RESOURCEADJUST (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBILLTYPEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADJUSTDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_RESOURCEADJUST_L') 
 CREATE TABLE T_SFC_RESOURCEADJUST_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SFC_REPORTSUBENTRY') 
 CREATE TABLE T_SFC_REPORTSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FREPACTIVITYID BIGINT DEFAULT 0 NOT NULL,
FREPRESOURCES BIGINT DEFAULT 0 NOT NULL,
FREPBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTSTANDARDFORMULAID BIGINT DEFAULT 0 NOT NULL,
FREPACTUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPACTUALBEGINTIME DATETIME,
FREPACTUALFINISHTIME DATETIME,
FSOURCEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADJUSTACTUALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREPORTACTENTITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\SFC_table.sql **/
